/*
 * BadXmlGrammerException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * XMLの文法が間違っているときに発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class BadXmlGrammerException extends AccessorRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 5217385627729461814L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public BadXmlGrammerException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public BadXmlGrammerException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public BadXmlGrammerException(String msg, Exception cause) {
		super(msg, cause);
	}
}
